Skip to main content

Create a proof of address check-in.

POST 

/api/users/checkin/proof-of-address

Create a proof of address check-in. A proof of address check-in requires a document (or photos) clearly proving residence. Photos need to be uploaded to the Ownli cloud via the Photo upload api.

Request

Body

required

    userId stringrequired

    Id of the user.

    documentType stringrequired

    Possible values: [UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill, Invalid, UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill]

    Document type for attached document.

    latitude doublerequired

    Latitude of the check-in.

    longitude doublerequired

    Longitude of the check-in.

    addressType string

    Possible values: [StandaloneHome, Apartment, Condominium, Duplex, Other, Invalid, StandaloneHome, Apartment, Condominium, Duplex, Other]

    Type of home.

    address

    object

    Address

    addressLine1 string

    Street Address

    city string

    City

    state string

    2 Letter State Code (eg. AL, CA, CO etc.

    country string

    2 Letter Country Code. Must be US.

    zip string

    Zipcode

    latitude double

    Latitude of the address.

    longitude double

    Longitude of the address.

    photos

    object[]

  • Array [

  • url stringrequired

    Url of the photo. The photo needs to be uploaded via the Photo Upload API.

    type stringrequired

    Possible values: [FrontView, AlternateView, Invalid, FrontView, AlternateView]

    Type of the photo. A value from one of the photo types.

  • ]

  • documents

    object[]

  • Array [

  • url stringrequired

    Url of the document. The document needs to be uploaded via the Photo Upload API.

    type stringrequired

    Possible values: [DOCUMENT, GALLERY, CAMERA, INVALID, DOCUMENT, GALLERY, CAMERA]

    File type of the document.

    ordinal int32

    Ordinal

  • ]

Responses

The created proof of address check-in object.

Schema

    id string

    Id of the checkin

    license string

    License plate number

    userNote string

    User generated note. For communication between the user to the admin

    adminNote string

    Admin generated note. Usually used for on-hold or declined check-ins

    checkedInAt string

    Check-in date

    checkInStatus string

    Possible values: [Confirmed, Declined, OnHold, Pending]

    Status of the check-in

    updated string

    Last updated on

    photos

    object[]

    The photos of the vehicle taken from different angles

  • Array [

  • photoUrl string

    URL of the photo

    type string

    Possible values: [Back, Front, DriverSide, DriverSideFront, DriverSideBack, PassengerSide, PassengerSideFront, PassengerSideBack]

    Type of the photo. A value from one of the condition checkin photo types.

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

    markedInvalidByReview boolean

    Indicates that the photo has been marked invalid on review.

    damageDetected boolean

    Indicates that the review has detected damage to the vehicle.

  • ]

  • fraud boolean
Loading...